FilterEcho (Java Functional Samples)
Date: 2020-08-07

simple

## Class FilterEcho

- java.lang.Object
- - simple.FilterEcho

-     public class FilterEcho
      extends java.lang.Object

  Sample filtering echo topology application. This Java application builds a simple topology that echos its command line arguments to standard output.
  The application implements the typical pattern of code that declares a topology followed by submission of the topology to a Streams context `com.ibm.streamsx.topology.context.StreamsContext`.
  This demonstrates use of Java functional logic to filter the tuples. An in-line anonymous class implements the filtering logic, in this case only echo tuples that start with the letter `d`.

  This topology is always executed in embedded mode, within this JVM.
  This may be executed from the `samples/java/functional` directory as:

  - `ant run.filterecho` - Using Apache Ant, this will run in embedded mode.
  - `java -cp functionalsamples.jar:../../../com.ibm.streamsx.topology/lib/com.ibm.streamsx.topology.jar:$STREAMS_INSTALL/lib/com.ibm.streams.operator.samples.jar simple.FilterEcho "d print this" "omit this"` - Run directly from the command line in embedded mode.
  - An application execution within your IDE once you set the class path to include the correct jars.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterEcho()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Sample filtering echo topology application.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterEcho

          public FilterEcho()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Sample filtering echo topology application. This Java application builds a simple topology that echos its command line arguments to standard output.
      The application implements the typical pattern of code that declares a topology followed by submission of the topology to a Streams context (@code com.ibm.streamsx.topology.context.StreamsContext}.
      Throws:
        `java.lang.Exception`